unit DslAppointment;
         
interface

uses
  Classes, SysUtils;

type
  TAppointment = class
  private
    fromDate: TDateTime;
    toDate: TDateTime;
    location: string;
    description: string;
  public
    constructor Create (aDescr: string);
    function at (aLocation: string): TAppointment;
    function from (aDateTime: TDateTime): TAppointment;
    function upto (aDateTime: TDateTime): TAppointment;

    function ToString: string;
  end;

  function Appointement (aDescr: string): TAppointment;
  function DayAfter (d: TDateTime): TDateTime;

implementation

  function Appointement (aDescr: string): TAppointment;
  begin
    Result := TAppointment.Create (aDescr);
  end;

{ TAppointment }

function TAppointment.at(aLocation: string): TAppointment;
begin
  location := aLocation;
  Result := self;
end;

constructor TAppointment.Create(aDescr: string);
begin
  description := aDescr;
end;

function TAppointment.from(aDateTime: TDateTime): TAppointment;
begin
  fromDate := aDateTime;
  Result := self;
end;

function TAppointment.ToString: string;
begin
  Result := description + ' at ' + location +
    ' from ' + DateTimeToStr (fromDate) + ' to ' +
    DateTimeToStr(toDate);
end;

function TAppointment.upto(aDateTime: TDateTime): TAppointment;
begin
  toDate := aDateTime;
  Result := self;
end;

{time functions}

function DayAfter (d: TDateTime): TDateTime;
begin
  Result := d + 1;
end;


end.
